List webhook subscriptions
GET/webhooks
Returns paginated list. Filters: status, event, limit, skip. The secretCipher field is the encrypted blob — never the plaintext secret.
Parámetros
| Campo | Dónde | Tipo | Descripción |
|---|---|---|---|
statusopcional | query | string | Valores:activepausedfailingrevoked |
eventopcional | query | string | Valores:message.sentmessage.deliveredmessage.readmessage.failedmessage.receivedcampaign.completednumber.quality_changedtemplate.approvedtemplate.rejectedcontact.createdcontact.opted_outapikey.createdapikey.rotatedsms.deliveredsms.failedsms.undeliveredsms.receivedemail.deliveredemail.bouncedemail.complainedemail.openedemail.clickedrcs.deliveredrcs.readrcs.failedsms.clickedrcs.clickedwallet.low_balancewallet.depletedinstagram.message.receivedinstagram.message.sentinstagram.message.failed |
limitopcional | query | integer | |
skipopcional | query | integer |
Respuestas
200Default ResponseCampos y ejemplo de la respuesta
Campo Tipo Descripción itemsobligatorioobject[]items[].idobligatoriostringBranded Webhook id ( wbh_prefix + 21 nano-id chars).items[].organizationIdobligatoriostringBranded Organization id ( org_prefix + 21 nano-id chars).items[].urlobligatoriostring · uriitems[].secretCipherobligatoriostringPII_CRITICAL — encrypted webhook signing secret (JSON-serialized EncryptedBlob, AAD bound to org+webhook). Never returned in plaintext after creation. items[].secretVersionobligatoriointegeritems[].headersopcionalobject[]items[].headers[].keyobligatoriostringitems[].headers[].valueobligatoriostringitems[].eventsobligatoriostring[]items[].statusobligatoriostringValores: activepausedfailingrevokeditems[].descriptionopcionalstringitems[].retryobligatorioobjectitems[].retry.maxAttemptsobligatoriointegeritems[].retry.backoffSecondsobligatoriointegeritems[].createdByIdopcionalstringBranded Account id ( acc_prefix + 21 nano-id chars).items[].consecutiveFailuresopcionalintegeritems[].lastSuccessAtopcionalstring · date-timeISO-8601 timestamp in UTC. items[].lastFailureAtopcionalstring · date-timeISO-8601 timestamp in UTC. items[].createdAtobligatoriostring · date-timeISO-8601 timestamp in UTC. items[].updatedAtobligatoriostring · date-timeISO-8601 timestamp in UTC. totalobligatoriointegerJSON{ "items": [ { "id": "wbh_uV2aLwzXMqNmKjHbPiRoT", "organizationId": "org_pGgniw5L7CTDSZDwjDrQ2", "url": "https://api.partner.test/ccx/webhook", "secretCipher": "string", "secretVersion": 1, "headers": [ { "key": "X-Api-Key", "value": "sk_live_…" } ], "events": [ "message.sent" ], "status": "active", "description": "string", "retry": { "maxAttempts": 8, "backoffSeconds": 60 }, "createdById": "acc_dEws32WQG1MgvOVa6wqXT", "consecutiveFailures": 0, "lastSuccessAt": "2026-04-07T17:30:00.000Z", "lastFailureAt": "2026-04-07T17:30:00.000Z", "createdAt": "2026-04-07T17:30:00.000Z", "updatedAt": "2026-04-07T17:30:00.000Z" } ], "total": 3}
401RFC 7807 problem details for UNAUTHORIZED (401).403RFC 7807 problem details for FORBIDDEN (403).
Las respuestas de error siguen el formato RFC 7807 (application/problem+json), con un código estable en el campo code. Ver los códigos de error
Ejemplo en curl
curl 'https://api.messages.ccxcompany.co/webhooks' \ -H "Authorization: Bearer $CCX_API_KEY"